package ru.yandex.autotests.direct.web.data.textresources;

import ru.yandex.autotests.direct.utils.config.DirectTestRunProperties;
import ru.yandex.autotests.direct.utils.textresource.ITextResource;
import ru.yandex.autotests.direct.utils.textresource.TextResources;

public enum UserSettingsPageResource implements ITextResource {

    //validation messages
    NO_RIGHTS_COUNTER_VALIDATION_MESSAGE,
    WRONG_COUNTER_VALIDATION_MESSAGE,
    OVER_LIMIT_COUNTERS_VALIDATION_MESSAGE;

    @Override
    public String getBundle() {
        return "web.campaigns.UserSettingsPageTextData";
    }

    @Override
    public String toString() {
        return TextResources.getText(this, DirectTestRunProperties.getInstance().getDirectCmdLocale());
    }
}
